//
//  customSegue.m
//  Storyboards
//
//  Created by Mark Brindle on 06/01/2012.
//  Copyright (c) 2012 ARKEMM Software Limited. All rights reserved.
//

#import <QuartzCore/QuartzCore.h>
#import <CoreImage/CoreImage.h>

#import "customSegue.h"
#import "FMFireSequeAnimation.h"

@implementation customSegue

- (void)perform {
  CALayer *sourceLayer = [[[self sourceViewController] view] layer];
  FMPerformVisualFireTransitionAttachedToLayerWithDuration(sourceLayer, 1.5);
  
  UINavigationController *navController = [[self sourceViewController] navigationController];
  double delayInSeconds = 0.75;
  dispatch_time_t popTime = dispatch_time(DISPATCH_TIME_NOW, delayInSeconds * NSEC_PER_SEC);
  dispatch_after(popTime, dispatch_get_main_queue(), ^(void){
    [navController pushViewController:[self destinationViewController] animated:NO];
  });
}

@end
